API Reference
DashboardGet API keyAPI key

Getting started

  • Introduction
  • Authentication
  • Errors & rate limits

Voice agents

WhatsApp agents

    • Overview
    • GETList conversations
    • GETGet conversation
    • PATCHUpdate conversation
    • DELDelete conversation
    • GETGet lead summary

Workspace

WhatsApp agentsWhatsApp leads

Get lead summary

Lead counts per category, in the order the categories were created, followed by uncategorized.

GET/v2/whatsapp/leads/summary

Authorization

  • Authorizationstringheaderrequired

    Bearer authentication header of the form Bearer <api_key>, where <api_key> is a key from Account Settings → API keys in your dashboard.

Response

An array with one entry per category.

  • categorystring

    Category name, or uncategorized.

  • configuredboolean

    false only for uncategorized.

  • totalinteger

    All conversations in the category.

  • openinteger

    Conversations with status open.

  • active_24hinteger

    Customer messaged in the last 24 hours.

  • in_followupinteger

    Part-way through the follow-up sequence.

Request
curl --request GET \
  --url 'https://api.tarangnow.com/v2/whatsapp/leads/summary' \
  --header 'Authorization: Bearer <api_key>'
Response
[
  {
    "category": "hot",
    "configured": true,
    "total": 42,
    "open": 38,
    "active_24h": 12,
    "in_followup": 9
  },
  {
    "category": "warm",
    "configured": true,
    "total": 77,
    "open": 70,
    "active_24h": 8,
    "in_followup": 31
  },
  {
    "category": "uncategorized",
    "configured": false,
    "total": 15,
    "open": 15,
    "active_24h": 6,
    "in_followup": 0
  }
]
PreviousDelete conversationNextMessages overview